import socket

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server.bind(("0.0.0.0", 10000))
server.listen(1)
print("TCP сервер запущен")

while True:
    conn, addr = server.accept()
    print(f"Подключение от {addr}")

    data = conn.recv(1024)
    if not data:
        conn.close()
        continue

    print(f"Получено: {data.decode()}")

    if data.upper() == b'EXIT':
        conn.sendall(b"Server shutting down...")
        conn.close()
        break  # Выходим из цикла и завершаем сервер

    conn.sendall(data.upper())
    conn.close()

server.close()  # Закрываем серверный сокет
print("Сервер остановлен")