import socket

server = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
server.bind(('0.0.0.0', 20000))  # Новый порт 20000
print("UDP сервер запущен на порту 20000")

while True:
    data, addr = server.recvfrom(1024)
    decoded_data = data.decode()
    print(f"Получено от {addr}: {decoded_data}")

    # Модификация данных:
    modified_data = decoded_data.upper().replace('O', '0')  # Замена 'O' на '0'
    response = f"MODIFIED: {modified_data}"  # Добавляем префикс

    server.sendto(response.encode(), addr)